import request from '@/utils/request'

// 查询订单产品列表
export function listOrderProduct(query) {
  return request({
    url: '/sfa/orderProduct/list',
    method: 'get',
    params: query
  })
}

// 查询订单产品详细
export function getOrderProduct(id) {
  return request({
    url: '/sfa/orderProduct/' + id,
    method: 'get'
  })
}

// 新增订单产品
export function addOrderProduct(data) {
  return request({
    url: '/sfa/orderProduct',
    method: 'post',
    data: data
  })
}

// 修改订单产品
export function updateOrderProduct(data) {
  return request({
    url: '/sfa/orderProduct',
    method: 'put',
    data: data
  })
}

// 删除订单产品
export function delOrderProduct(id) {
  return request({
    url: '/sfa/orderProduct/' + id,
    method: 'delete'
  })
}
